import { DateTypeEnum } from '../../enums/core/dateTypeEnum';
import { RecordStatusEnum } from '../../enums/base/recordStatusEnum';
import { BaseModuleEntity } from '../base/baseModuleEntity';
import { EstateContractModel } from './estateContractModel';
import { EstatePropertyDetailGroupModel } from './estatePropertyDetailGroupModel';
import { EstatePropertyDetailValueModel } from './estatePropertyDetailValueModel';
import { EstatePropertyTypeLanduseModel } from './estatePropertyTypeLanduseModel';
import { EstatePropertyTypeUsageModel } from './estatePropertyTypeUsageModel';
import { File360ViewModel } from '../core-main/file360ViewModel';
import { File360TourModel } from '../core-main/file360TourModel';
export declare class EstatePropertyModel extends BaseModuleEntity<string> {
    title: string;
    scoreEstateLocation: number;
    scoreEstateBuild: number;
    scoreEstatePrice: number;
    caseCode: string;
    mainAdminRecordStatus: RecordStatusEnum;
    createdYaer?: number;
    createdYaerType: DateTypeEnum;
    partition: number;
    area: number;
    linkCmsUserId?: number;
    linkEstateUserId: string;
    linkEstateAgencyId: string;
    isSoldIt: boolean;
    reviewDataAfterSoldIt?: Date;
    linkLocationId: number;
    linkLocationCountryId: number;
    description: string;
    descriptionHidden: string;
    viewConfigHiddenInList: boolean;
    linkPropertyTypeLanduseId: string;
    linkPropertyTypeUsageId: string;
    linkPropertyProjectId: string;
    linkPropertyCompanyId: string;
    propertyTypeLanduse: EstatePropertyTypeLanduseModel;
    propertyTypeUsage: EstatePropertyTypeUsageModel;
    /**ViewContent */
    viewContentHidden: boolean;
    siteAdminViewContentHidden: boolean;
    /**ViewContent */
    sharingKey: string;
    sharingId: number;
    geolocationlatitude?: number;
    geolocationlongitude?: number;
    address: string;
    addressHidden: string;
    linkMainImageId?: number;
    linkExtraImageIds: string;
    linkFileIds: string;
    file360Views: File360ViewModel[];
    file360Tour: File360TourModel;
    scoreClick: number;
    scoreSumPercent: number;
    adsActive: boolean;
    adsExpireDate: Date;
    viewCount: number;
    aboutAgentTel: string;
    aboutAgentMobile: string;
    aboutCustomerTel: string;
    aboutCustomerMobile: string;
    contracts: EstateContractModel[];
    propertyDetailValues: EstatePropertyDetailValueModel[];
    propertyDetailGroups: EstatePropertyDetailGroupModel[];
    linkMainImageIdSrc: string;
    linkExtraImageIdsSrc: string[];
    linkFileIdsSrc: string[];
    /** برای انتصا مسقیم فایل آپلود شده */
    uploadFileGUID: string[];
    urlViewContent: string;
    urlViewContentShort: string;
    urlViewContentQRCodeBase64: string;
    linkLocationCountryIdTitle: string;
    linkLocationIdTitle: string;
    linkLocationIdParentTitle: string;
    favorited: boolean;
    /**Acton */
    actionCreateCmsUserId: boolean;
}
