import { Observable } from 'rxjs';
import { NtkCmsApiStoreInterface } from './ntkCmsApiStore.interface';
import { TokenInfoModel } from '../models/entity/core-token/tokenInfoModel';
import { AppStore } from './reducer.factory';
import { TokenDeviceModel } from '../models/entity/core-token/tokenDeviceModel';
import * as i0 from "@angular/core";
export declare class NtkCmsApiStoreService {
    private state;
    private sub;
    private stateSubject;
    constructor();
    setState(param: Actions): void;
    getState<R>(mapFn: (value: AppStore, index: number) => R): Observable<R>;
    getStateSnapshot(): AppStore;
    processStart(name: string): void;
    processStop(name: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NtkCmsApiStoreService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NtkCmsApiStoreService>;
}
export declare function stateReducer(state: NtkCmsApiStoreInterface, action: Actions): NtkCmsApiStoreInterface;
export interface ActionInterface {
    readonly type: string;
    payload?: any;
}
export declare const SET_LOADING_STATE = "SET_LOADING_STATE";
export declare const SET_TOKEN_INFO = "SET_TOKEN_INFO";
export declare const SET_DEVICE_TOKEN_INFO = "SET_DEVICE_TOKEN_INFO";
export declare const SET_IN_PROCESSING_LIST = "SET_IN_PROCESSING_LIST";
export declare class SetLoadingState implements ActionInterface {
    readonly type = "SET_LOADING_STATE";
    payload: boolean;
}
export declare class SetTokenInfoState implements ActionInterface {
    readonly type = "SET_TOKEN_INFO";
    payload: TokenInfoModel;
}
export declare class SetDeviceTokenInfoState implements ActionInterface {
    readonly type = "SET_DEVICE_TOKEN_INFO";
    payload: TokenDeviceModel;
}
export declare class SetInProcessingList implements ActionInterface {
    readonly type = "SET_IN_PROCESSING_LIST";
    payload: Array<string>;
}
export type Actions = SetLoadingState | SetDeviceTokenInfoState | SetTokenInfoState | SetInProcessingList;
