import { ApiServerBase } from './apiServerBase.service';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResultExportFile } from '../../models/entity/base/errorExceptionResultExportFile';
import { RecordStatusEnum } from '../../models/enums/base/recordStatusEnum';
import { CoreModuleEntityReportFileModel } from '../../models/entity/core-main/coreModuleEntityReportFileModel';
import { IApiCmsServerBase } from './iApiCmsServerBase';
import { CoreModuleDataMemoModel } from '../../models/entity/core-module-data/coreModuleDataMemoModel';
import { ExportFileModel } from '../../models/entity/base/exportFileModel';
import { CoreModuleShowKeyDtoModel } from '../../models/dto/core-module/coreModuleShowKeyDtoModel';
import { CoreModuleLogShowKeyModel } from '../../models/entity/core-module-log/coreModuleLogShowKeyModel';
import { CoreModuleDataCommentModel } from '../../models/entity/core-module-data/coreModuleDataCommentModel';
import { CoreModuleDataPinModel } from '../../models/entity/core-module-data/coreModuleDataPinModel';
import { CoreModuleDataTaskModel } from '../../models/entity/core-module-data/coreModuleDataTaskModel';
import { CoreModuleDataMemoDtoModel } from '../../models/dto/core-module/coreModuleDataMemoDtoModel';
import { CoreModuleDataTaskDtoModel } from '../../models/dto/core-module/coreModuleDataTaskDtoModel';
import { CoreModuleDataCommentDtoModel } from '../../models/dto/core-module/coreModuleDataCommentDtoModel';
import * as i0 from "@angular/core";
export declare class ApiCmsServerBase<TModel, TKey, TFilterModel> extends ApiServerBase implements IApiCmsServerBase {
    ServiceViewModel(): Observable<ErrorExceptionResult<TModel>>;
    ServiceReportFileGetAll(): Observable<ErrorExceptionResult<CoreModuleEntityReportFileModel>>;
    ServiceGetAll(model: TFilterModel): Observable<ErrorExceptionResult<TModel>>;
    ServiceGetAllEditor(model: TFilterModel): Observable<ErrorExceptionResult<TModel>>;
    ServiceGetOneById(id: TKey, cashApiSeconds?: number): Observable<ErrorExceptionResult<TModel>>;
    ServiceGetCount(model: FilterModel): Observable<ErrorExceptionResultBase>;
    ServiceSetStatus(id: TKey, recordStatus: RecordStatusEnum): Observable<ErrorExceptionResult<TModel>>;
    ServiceGetExist(model: FilterModel): Observable<ErrorExceptionResultBase>;
    ServiceExportFile(model: FilterModel): Observable<ErrorExceptionResultExportFile>;
    ServiceExportFileGetOne(id: TKey, model: ExportFileModel): Observable<ErrorExceptionResultExportFile>;
    ServiceAdd(model: TModel): Observable<ErrorExceptionResult<TModel>>;
    ServiceEdit(model: TModel): Observable<ErrorExceptionResultBase>;
    ServiceDelete(id: TKey): Observable<ErrorExceptionResultBase>;
    ServiceDeleteList(ids: TKey[]): Observable<ErrorExceptionResultBase>;
    ServiceDeleteEntity(model: TModel): Observable<ErrorExceptionResultBase>;
    /**Memo */
    ServiceMemoAdd(model: CoreModuleDataMemoDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceMemoDelete(id: string): Observable<ErrorExceptionResultBase>;
    ServiceMemoGetAll(): Observable<ErrorExceptionResult<CoreModuleDataMemoModel>>;
    ServiceMemoGetAllEntity(id: TKey): Observable<ErrorExceptionResult<CoreModuleDataMemoModel>>;
    /**Memo */
    /**Pin */
    ServicePinAdd(id: string): Observable<ErrorExceptionResultBase>;
    ServicePinDelete(id: string): Observable<ErrorExceptionResultBase>;
    ServicePinCheck(id: string): Observable<ErrorExceptionResultBase>;
    ServicePinGetAll(): Observable<ErrorExceptionResult<CoreModuleDataPinModel>>;
    ServicePinGetAllEntity(id: TKey): Observable<ErrorExceptionResult<CoreModuleDataPinModel>>;
    /**Pin */
    /**Task */
    ServiceTaskAdd(model: CoreModuleDataTaskDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceTaskDelete(id: string): Observable<ErrorExceptionResultBase>;
    ServiceTaskGetAll(): Observable<ErrorExceptionResult<CoreModuleDataTaskModel>>;
    ServiceTaskGetAllEntity(id: TKey): Observable<ErrorExceptionResult<CoreModuleDataTaskModel>>;
    /**Task */
    /**comment */
    ServiceCommentAdd(model: CoreModuleDataCommentDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceCommentDelete(id: string): Observable<ErrorExceptionResultBase>;
    ServiceCommentGetAll(): Observable<ErrorExceptionResult<CoreModuleDataCommentModel>>;
    ServiceCommentGetAllEntity(id: TKey): Observable<ErrorExceptionResult<CoreModuleDataCommentModel>>;
    /**comment */
    ServiceShowKeyAdd(model: CoreModuleShowKeyDtoModel): Observable<ErrorExceptionResult<CoreModuleLogShowKeyModel>>;
    ServiceShowKeyGetAll(id: TKey): Observable<ErrorExceptionResult<CoreModuleLogShowKeyModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiCmsServerBase<any, any, any>, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiCmsServerBase<any, any, any>>;
}
