import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { ErrorExceptionResultExportFile } from '../../models/entity/base/errorExceptionResultExportFile';
import { ManageUserAccessDataTypesEnum } from '../../models/enums/base/manageUserAccessDataTypesEnum';
import { NtkCmsApiStoreService } from '../../reducers/ntkCmsApiStore.service';
import * as i0 from "@angular/core";
export declare class ApiServerBase {
    http: HttpClient;
    cmsApiStore: NtkCmsApiStoreService;
    constructor(http: HttpClient, cmsApiStore: NtkCmsApiStoreService);
    baseUrl: string;
    userToken: string;
    deviceToken: string;
    configApiRetry: number;
    keyUserToken: string;
    keyDeviceToken: string;
    keyBaseUrl: string;
    private headers;
    private accessLoad;
    private accessDataType;
    setConfig(url: string, apiRetry?: number): void;
    cachApiResult: any[];
    cashApiIsValid(serviceNameKay: string, cashApiSeconds?: number): boolean;
    childConstructor(): any;
    getBaseUrl(): string;
    getModuleControllerUrl(): string;
    setHeaders(key: string, value: string): void;
    setAccessLoad(status?: boolean): void;
    setAccessDataType(status: ManageUserAccessDataTypesEnum): void;
    getUserToken(): string | null;
    getDeviceToken(): string | null;
    setToken(userToken: string, deviceToken: string, refreshToken: string): void;
    setDeviceToken(deviceToken: string): void;
    removeToken(): void;
    getHeaders(): any;
    errorExceptionResultCheck<TModel>(model: ErrorExceptionResult<TModel>): ErrorExceptionResult<TModel>;
    errorExceptionResultBaseCheck(model: ErrorExceptionResultBase): ErrorExceptionResultBase;
    errorExceptionResultCheckExportFile(model: ErrorExceptionResultExportFile): ErrorExceptionResultExportFile;
    handleError(error: any, caught: Observable<any>): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ApiServerBase, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ApiServerBase>;
}
