import { Observable } from 'rxjs';
import { ApiServerBase } from './apiServerBase.service';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { BaseModuleConfigAdminMainValuesModel } from '../../models/entity/base-config/baseModuleConfigAdminMainValuesModel';
import { BaseModuleSiteStorageValuesModel } from '../../models/entity/base-config/baseModuleSiteStorageValuesModel';
import { BaseModuleConfigSiteAccessValuesModel } from '../../models/entity/base-config/baseModuleConfigSiteAccessValuesModel';
import { BaseModuleConfigSiteValuesModel } from '../../models/entity/base-config/baseModuleConfigSiteValuesModel';
import { BaseModuleSiteCheckUserModel } from '../../models/entity/base-config/baseModuleSiteCheckUserModel';
import { BaseModuleSiteCheckSiteModel } from '../../models/entity/base-config/baseModuleSiteCheckSiteModel';
export declare class ApiServerConfigSiteBase<TAdminMain extends BaseModuleConfigAdminMainValuesModel, TSiteConfig extends BaseModuleConfigSiteValuesModel, TSiteAccess extends BaseModuleConfigSiteAccessValuesModel, TSiteStorage extends BaseModuleSiteStorageValuesModel> extends ApiServerBase {
    getModuleControllerUrl(): string;
    ServiceSiteConfigDefault(): Observable<ErrorExceptionResult<TSiteConfig>>;
    ServiceSiteConfigDefaultSave(model: TSiteConfig): Observable<ErrorExceptionResult<TSiteConfig>>;
    ServiceSiteStorage(id: number): Observable<ErrorExceptionResult<TSiteStorage>>;
    ServiceSiteStorageSave(Siteid: number, model: TSiteStorage): Observable<ErrorExceptionResult<TSiteStorage>>;
    ServiceSiteConfig(id: number): Observable<ErrorExceptionResult<TSiteConfig>>;
    ServiceSiteConfigSave(Siteid: number, model: TSiteConfig): Observable<ErrorExceptionResult<TSiteConfig>>;
    ServiceSiteAccess(Siteid: number): Observable<ErrorExceptionResult<TSiteAccess>>;
    ServiceSiteAccessSave(Siteid: number, model: TSiteAccess): Observable<ErrorExceptionResult<TSiteAccess>>;
    ServiceSiteAccessDefault(): Observable<ErrorExceptionResult<TSiteAccess>>;
    ServiceSiteAccessDefaultSave(model: TSiteAccess): Observable<ErrorExceptionResult<TSiteAccess>>;
    ServiceAdminMain(): Observable<ErrorExceptionResult<TAdminMain>>;
    ServiceAdminMainSave(model: TAdminMain): Observable<ErrorExceptionResult<TAdminMain>>;
    ServiceCheckSite(id?: number): Observable<ErrorExceptionResult<BaseModuleSiteCheckSiteModel>>;
    ServiceCheckUser(id?: number): Observable<ErrorExceptionResult<BaseModuleSiteCheckUserModel>>;
}
