import { Observable } from 'rxjs';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CoreSiteAddFirstSiteDtoModel } from '../../models/dto/core-main/coreSiteAddFirstSiteDtoModel';
import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { CoreSiteSearchModel } from '../../models/dto/core-main/coreSiteSearchModel';
import { CoreSiteModel } from '../../models/entity/core-main/coreSiteModel';
import { ShareInfoModel } from '../../models/dto/core-main/shareInfoModel';
import { RessellerChartModel } from '../../models/dto/core-main/ressellerChartModel';
import { ProcessModuleSiteDataInfoOutputModel } from '../../models/dto/core-main/processModuleSiteDataInfoOutputModel';
import { ProcessModuleSiteDataOptimazeOutputModel } from '../../models/dto/core-main/processModuleSiteDataOptimazeOutputModel';
import { CoreSiteSupportModel } from '../../models/entity/core-main/coreSiteSupportModel';
import * as i0 from "@angular/core";
export declare class CoreSiteService extends ApiCmsServerBase<CoreSiteModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceModuleDataOptimaze(linkSiteId: number): Observable<ErrorExceptionResult<ProcessModuleSiteDataOptimazeOutputModel>>;
    ServiceModuleDataInfo(linkSiteId: number): Observable<ErrorExceptionResult<ProcessModuleSiteDataInfoOutputModel>>;
    ServiceWebScreenshot(model: CoreSiteModel): Observable<ErrorExceptionResult<CoreSiteModel>>;
    ServiceGetRessellerChart(linkSiteId?: number): Observable<ErrorExceptionResult<RessellerChartModel>>;
    ServiceCurrectSite(): Observable<ErrorExceptionResult<CoreSiteModel>>;
    ServiceSupportSite(): Observable<ErrorExceptionResult<CoreSiteSupportModel>>;
    ServiceAddFirstSite(model: CoreSiteAddFirstSiteDtoModel): Observable<ErrorExceptionResult<CoreSiteModel>>;
    ServiceGetAllWithAlias(model: FilterModel): Observable<ErrorExceptionResult<CoreSiteModel>>;
    ServiceGetAllChildWithAlias(model: FilterModel): Observable<ErrorExceptionResult<CoreSiteModel>>;
    ServiceSearchNew(model: FilterModel): Observable<ErrorExceptionResult<CoreSiteModel>>;
    ServiceSearch(model: CoreSiteSearchModel): Observable<ErrorExceptionResult<CoreSiteModel>>;
    ServiceGetCurrencyMaster(): Observable<ErrorExceptionResult<string>>;
    ServiceGetCurrencySite(): Observable<ErrorExceptionResult<string>>;
    ServiceGetShareInfo(): Observable<ErrorExceptionResult<ShareInfoModel>>;
    ServiceGetCurrentDomain(): Observable<ErrorExceptionResult<string>>;
    ServiceGetRegDomains(siteCategoryId: number): Observable<ErrorExceptionResult<string>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreSiteService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreSiteService>;
}
