import { AuthEmailConfirmDtoModel } from '../../models/dto/core-main/authEmailConfirmDtoModel';
import { AuthMobileConfirmDtoModel } from '../../models/dto/core-main/authMobileConfirmDtoModel';
import { Observable } from 'rxjs';
import { ApiServerBase } from '../base/apiServerBase.service';
import { TokenInfoModel } from '../../models/entity/core-token/tokenInfoModel';
import { FilterModel } from '../../models/entity/base/filterModel';
import { CaptchaModel } from '../../models/entity/base/captchaModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { AuthUserSignInModel } from '../../models/dto/core-main/authUserSignInModel';
import { TokenDeviceClientInfoDtoModel } from '../../models/dto/core-main/tokenDeviceClientInfoDtoModel';
import { AuthUserSignUpModel } from '../../models/dto/core-main/authUserSignUpModel';
import { AuthRenewTokenModel } from '../../models/dto/core-main/authRenewTokenModel';
import { AuthUserChangePasswordModel } from '../../models/dto/core-main/authUserChangePasswordModel';
import { AuthUserSignOutModel } from '../../models/dto/core-main/authUserSignOutModel';
import { AuthUserForgetPasswordModel } from '../../models/dto/core-main/authUserForgetPasswordModel';
import { AuthUserSignInBySmsDtoModel } from '../../models/dto/core-main/authUserSignInBySmsDtoModel';
import { AuthUserForgetPasswordEntryPinCodeModel } from '../../models/dto/core-main/authUserForgetPasswordEntryPinCodeModel';
import { TokenDeviceModel } from '../../models/entity/core-token/tokenDeviceModel';
import { TokenDeviceSetNotificationIdDtoModel } from '../../models/dto/core-main/tokenDeviceSetNotificationIdDtoModel';
import * as i0 from "@angular/core";
export declare class CoreAuthService extends ApiServerBase {
    getModuleControllerUrl(): string;
    SetCurrentTokenInfo(model: TokenInfoModel | null): any;
    SetCurrentDeviceTokenInfo(model: TokenDeviceModel | null): any;
    CurrentTokenInfoRenew(): void;
    ServiceCurrentToken(): Observable<ErrorExceptionResult<TokenInfoModel>>;
    ServiceCurrentDeviceToken(): Observable<ErrorExceptionResult<TokenDeviceModel>>;
    ServiceCaptcha(): Observable<ErrorExceptionResult<CaptchaModel>>;
    ServiceGetTokenDevice(model: TokenDeviceClientInfoDtoModel): Observable<ErrorExceptionResult<TokenDeviceModel>>;
    ServiceSetTokenDeviceNotificationId(model: TokenDeviceSetNotificationIdDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceSignupUser(model: AuthUserSignUpModel): Observable<ErrorExceptionResult<TokenInfoModel>>;
    ServiceSigninUser(model: AuthUserSignInModel): Observable<ErrorExceptionResult<TokenInfoModel>>;
    ServiceSigninUserBySMS(model: AuthUserSignInBySmsDtoModel): Observable<ErrorExceptionResult<TokenInfoModel>>;
    ServiceRenewToken(model: AuthRenewTokenModel): Observable<ErrorExceptionResult<TokenInfoModel>>;
    ServiceChangePassword(model: AuthUserChangePasswordModel): Observable<ErrorExceptionResultBase>;
    ServiceForgetPassword(model: AuthUserForgetPasswordModel): Observable<ErrorExceptionResult<TokenInfoModel>>;
    ServiceForgetPasswordEntryPinCode(model: AuthUserForgetPasswordEntryPinCodeModel): Observable<ErrorExceptionResult<TokenInfoModel>>;
    ServiceLogout(model?: AuthUserSignOutModel): Observable<ErrorExceptionResultBase>;
    ServiceExistToken(model: FilterModel): Observable<ErrorExceptionResultBase>;
    ServiceMobileConfirm(model: AuthMobileConfirmDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceEmailConfirm(model: AuthEmailConfirmDtoModel): Observable<ErrorExceptionResultBase>;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreAuthService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CoreAuthService>;
}
