import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { EstatePropertyModel } from '../../models/entity/estate/estatePropertyModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { CoreModuleReportAbuseDtoModel } from '../../models/dto/core-module/coreModuleReportAbuseDtoModel';
import { ErrorExceptionResultExportFile } from '../../models/entity/base/errorExceptionResultExportFile';
import { EstatePropertyActionSendSmsDtoModel } from '../../models/dto/estate/estatePropertyActionSendSmsDtoModel';
import { EstatePropertyFilterModel } from '../../models/filters/estate/estatePropertyFilterModel';
import * as i0 from "@angular/core";
export declare class EstatePropertyService extends ApiCmsServerBase<EstatePropertyModel, string, EstatePropertyFilterModel> {
    getModuleControllerUrl(): string;
    ServiceActionSendSmsToCustomerOrder(Id: string): Observable<ErrorExceptionResultBase>;
    ServiceActionSendSms(model: EstatePropertyActionSendSmsDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteAdd(Id: string): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteRemove(Id: string): Observable<ErrorExceptionResultBase>;
    ServiceFavoriteList(model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceReportAbuseAdd(model: CoreModuleReportAbuseDtoModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceReportAbuseList(model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceGetAllWithCoverBillboardId(BillboardId: string, model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceGetAllWithCoverCategoryRackFolderId(RackFolderId: string, model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceGetAllWithCoverCategoryZoneId(ZoneId: string, model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceGetAllWithCoverCustomerOrderId(CustomerOrderId: string, model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceGetAllWithCoverCustomerOrderIdHaveHistory(CustomerOrderId: string, model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceGetAllWithCoverCustomerOrderIdExportFile(CustomerOrderId: string, model: EstatePropertyFilterModel): Observable<ErrorExceptionResultExportFile>;
    ServiceGetAllWithResponsibleUserId(userId: number, model: EstatePropertyFilterModel): Observable<ErrorExceptionResult<EstatePropertyModel>>;
    ServiceGetAllWithResponsibleUserIdExportFile(userId: number, model: EstatePropertyFilterModel): Observable<ErrorExceptionResultExportFile>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EstatePropertyService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EstatePropertyService>;
}
