import { ApiCmsServerBase } from '../base/apiCmsServerBase.service';
import { FilterModel } from '../../models/entity/base/filterModel';
import { ErrorExceptionResult } from '../../models/entity/base/errorExceptionResult';
import { FileContentModel } from '../../models/entity/file/fileContentModel';
import { Observable } from 'rxjs';
import { ErrorExceptionResultBase } from '../../models/entity/base/errorExceptionResultBase';
import { FileUploadByUrlDtoModel } from '../../models/dto/file/fileUploadByUrlDtoModel';
import { FileCopyCutDtoModel } from '../../models/dto/file/fileCopyCutDtoModel';
import { FileDownloadDtoModel } from '../../models/dto/file/fileDownloadDtoModel';
import * as i0 from "@angular/core";
export declare class FileContentService extends ApiCmsServerBase<FileContentModel, number, FilterModel> {
    getModuleControllerUrl(): string;
    ServiceUploadByUrl(model: FileUploadByUrlDtoModel): Observable<ErrorExceptionResult<FileContentModel>>;
    ServiceCopyCutFile(model: FileCopyCutDtoModel): Observable<ErrorExceptionResult<FileContentModel>>;
    ServiceCopyCutFileRootToRootFolder(): Observable<ErrorExceptionResult<FileContentModel>>;
    ServiceCopy(model: FileContentModel): Observable<ErrorExceptionResult<FileContentModel>>;
    ServiceGetAllInCategoryById(categoryId: number): Observable<ErrorExceptionResult<FileContentModel>>;
    ServiceSearchFilesInCategory(model: FilterModel): Observable<ErrorExceptionResultBase>;
    ServiceDownloadFile(model: FileDownloadDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceUpdateFileSizes(fileId: number): Observable<ErrorExceptionResultBase>;
    ServiceUpdateSumSizeUpload(fileId: number): Observable<ErrorExceptionResultBase>;
    ServiceImageFileEdit(model: FileDownloadDtoModel): Observable<ErrorExceptionResultBase>;
    ServiceReplace(model: FileContentModel): Observable<ErrorExceptionResult<FileContentModel>>;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileContentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FileContentService>;
}
